<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__timer" kind="group">
    <compoundname>group_hal_results_timer</compoundname>
    <title>Timer HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__timer_1ga662f2ac815ee9343d838da91e9cbb6c6" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
<para>eg: null pointer </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="99" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="99" />
      </memberdef>
      <memberdef id="group__group__hal__results__timer_1ga40f8f0d14ae4f0ca76f6fd7fcfc25539" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_CLOCK_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize Timer clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="102" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="102" />
      </memberdef>
      <memberdef id="group__group__hal__results__timer_1ga3bba289229f87384d957b795325fa322" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 2))</initializer>
        <briefdescription>
<para>Failed to initialize Timer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="105" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="105" />
      </memberdef>
      <memberdef id="group__group__hal__results__timer_1ga228ec35da2b49ea8a25ff874694ade56" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_SHARED_CLOCK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 3))</initializer>
        <briefdescription>
<para>Cannot change the timer frequency when a shared clock divider is in use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="108" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="108" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Timer specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>